<?php

namespace App\Providers;

use App\Models\Tenant;
use ZipArchive;

class ZipArchiveFileProvider {
    private ZipArchive $zipArchive;

    public function __construct(string $filename) {
        $this->zipArchive = new ZipArchive();
        $this->zipArchive->open(storage_path('app/private/' . $filename), ZipArchive::CREATE | ZipArchive::OVERWRITE);
    }

    public function addFile(string $filename) {
        $filename = storage_path('app/private/' . $filename);
        if (!file_exists($filename)) {
            dd($filename);
        }
        $this->zipArchive->addFile($filename, basename($filename));
    }

    public function create() : bool {
        $this->zipArchive->close();
        return true;
    }

}
